Main Page Namespace List Class Hierarchy Alphabetical List Compound List File List Namespace Members Compound Members File Members

# CosNotifyComm::StructuredPullConsumer Interface Reference

Defines the interface used by pull-style consumers of structured events. More...

`import "CosNotifyComm.idl";`

Inheritance diagram for CosNotifyComm::StructuredPullConsumer:

[legend]
Collaboration diagram for CosNotifyComm::StructuredPullConsumer:

[legend]
List of all members.

## Public Methods

void | disconnect_structured_pull_consumer ()
| The peer has disconnected.

## Detailed Description

Defines the interface used by pull-style consumers of structured events.

Pull-style consumers actively retrieve events from the Notification Service. The events use the CosNotification::StructuredEvent format.

## Member Function Documentation

void CosNotifyComm::StructuredPullConsumer::disconnect_structured_pull_consumer | ( |  | ) |

| The peer has disconnected. This operation is invoked by the consumer peer when it wishes to disconnect. The consumer can safely assume that no more events will follow this request.

The documentation for this interface was generated from the following file:

- CosNotifyComm.idl